> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Firm List

> Retrieve form



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/form/list
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/form/list:
    get:
      tags:
        - Form
      summary: Read Firm List
      description: Retrieve form
      operationId: read_firm_list_api_v1_form_list_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IFormRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IFormRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IFormRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IFormRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IFormRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IFormRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IFormRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IFormRead:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        trigger_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Instructions
        form_type:
          anyOf:
            - $ref: '#/components/schemas/IFormTypeEnum'
            - type: 'null'
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        fields:
          items: {}
          type: array
          title: Fields
          default: []
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        trigger_tools:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Trigger Tools
          default: []
        contact_mapping:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Contact Mapping
          default: {}
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - name
        - trigger_instructions
        - form_type
        - id
      title: IFormRead
    IFormTypeEnum:
      type: string
      enum:
        - natural
        - simple
      title: IFormTypeEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````